/**
 * Main program for rev counter
 */

#include <stdint.h>
#include <avr/interrupt.h>
#include <util/delay.h>

#include "led.h"
#include "rpm.h"

int main(void)
{
  // initialize LED output
  LEDinit();
  // initialize RPM input
  RPMinit();

  // enable interrupts globally
  sei();
  
  // wait forever
  while(1)
    {
      uint32_t accu = 0;
      // accumulate data
      for(uint8_t i = 0; i < 16; i++)
	{
	  accu += RPMgetRPM();
	  // approx 160 ms between two display updates
	  _delay_ms(10);
	}
      LEDsetRPM(accu / 16);
    }    
}
